tomee-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From David Blevins <david.blev...@visi.com>
Subject Re: OpenEJB 3.1.2 maven build broken due to ActiveMQ dependency
Date Wed, 13 Jan 2010 23:39:22 GMT

On Jan 13, 2010, at 11:18 AM, Andy Gumbrecht wrote:

> Is there a reason why such an 'old' activemq version is being used?  
> - 4.x is really only for jdk1.4.

IIRC some package and class names changed between 4.x and 5.x so it  
wasn't possible to support them both without a bit of reflection (and  
there really wouldn't need to be much).

If someone wanted to give it a whirl here's the factory class that  
creates the broker:

   http://svn.apache.org/repos/asf/openejb/trunk/openejb3/container/openejb-core/src/main/java/org/apache/openejb/resource/activemq/ActiveMQResourceAdapter.java

And I think it was the super class of this class that was moved  
between 4.x and 5.x:

   http://svn.apache.org/repos/asf/openejb/trunk/openejb3/container/openejb-core/src/main/java/org/apache/openejb/resource/activemq/OpenEjbBrokerFactory.java

One approach might be to rename the "OpenEjbBrokerFactory" to  
"ActiveMQ4BrokerFactory", create another that is  
"ActiveMQ5BrokerFactory" and have the ActiveMQResourceAdapter use  
reflection to try and load each and use the first one that loads.  Or  
some flavor of that -- could take the same approach and have two  
different ActiveMQ${version}ResourceAdapter factories with a generic  
reflection based ActiveMQResourceAdapter factory.

-David




Mime
View raw message